Subject: Re: bug#76385: Incorrect mouse events / tool-bar event is undefined error.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 18 Feb 2025 16:34:01 +0200

merge 76385 76384
thanks

> Date: Mon, 17 Feb 2025 23:06:24 +0200
> From: mjk <[email-masked]>
> 
> Sorry,
> 
> forgot to include the build details:

Your message created a new bug report, so I'm now merging them
together.

> 
> On fedora 40 with gnome.
> 
> In GNU Emacs 29.4 (build 1, x86_64-redhat-linux-gnu, GTK+ Version
>   3.24.42, cairo version 1.18.0) of 2024-07-16 built on
>   27527c2e06f843c0962737354e0b3cf7
> System Description: Fedora Linux 40 (Workstation Edition)
> 
> Configured using:
>   'configure --build=x86_64-redhat-linux-gnu
>   --host=x86_64-redhat-linux-gnu --program-prefix=
>   --disable-dependency-tracking --prefix=/usr --exec-prefix=/usr
>   --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc
>   --datadir=/usr/share --includedir=/usr/include --libdir=/usr/lib64
>   --libexecdir=/usr/libexec --localstatedir=/var --runstatedir=/run
>   --sharedstatedir=/var/lib --mandir=/usr/share/man
>   --infodir=/usr/share/info --with-cairo --with-dbus --with-gif
>   --with-gpm=no --with-harfbuzz --with-jpeg --with-json --with-modules
>   --with-native-compilation=aot --with-pgtk --with-png --with-rsvg
>   --with-sqlite3 --with-tiff --with-tree-sitter --with-webp --with-xpm
>   --with-xwidgets build_alias=x86_64-redhat-linux-gnu
>   host_alias=x86_64-redhat-linux-gnu CC=gcc 'CFLAGS=-DMAIL_USE_LOCKF -O2
>   -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches
>   -pipe -Wall -Werror=format-security
>   -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS
>   -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong
>   -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=x86-64
>   -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection
>   -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer '
>   LDFLAGS=-Wl,-z,relro
>   PKG_CONFIG_PATH=:/usr/lib64/pkgconfig:/usr/share/pkgconfig CXX=g++
>   'CXXFLAGS=-O2 -flto=auto -ffat-lto-objects -fexceptions -g
>   -grecord-gcc-switches -pipe -Wall -Werror=format-security
>   -Wp,-U_FORTIFY_SOURCE,-D_FORTIFY_SOURCE=3 -Wp,-D_GLIBCXX_ASSERTIONS
>   -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong
>   -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1 -m64 -march=x86-64
>   -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection
>   -fcf-protection -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer ''
> 
> Configured features:
> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
> LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY
> PDUMPER PGTK PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF
> TOOLKIT_SCROLL_BARS TREE_SITTER WEBP XIM XWIDGETS GTK3 ZLIB
> 
> Important settings:
>    value of $LC_MONETARY: fi_FI.UTF-8
>    value of $LC_NUMERIC: fi_FI.UTF-8
>    value of $LC_TIME: fi_FI.UTF-8
>    value of $LANG: en_US.UTF-8
>    value of $XMODIFIERS: @im=ibus
>    locale-coding-system: utf-8-unix
> 
> Major mode: Message
> 
> Minor modes in effect:
>    mml-mode: t
>    tooltip-mode: t
>    global-eldoc-mode: t
>    show-paren-mode: t
>    electric-indent-mode: t
>    mouse-wheel-mode: t
>    tool-bar-mode: t
>    menu-bar-mode: t
>    file-name-shadow-mode: t
>    global-font-lock-mode: t
>    font-lock-mode: t
>    blink-cursor-mode: t
>    line-number-mode: t
>    auto-fill-function: message-do-auto-fill
>    transient-mark-mode: t
>    auto-composition-mode: t
>    auto-encryption-mode: t
>    auto-compression-mode: t
>    abbrev-mode: t
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow sort emacsbug comp comp-cstr warnings icons rx cl-extra
> help-mode url-util url-parse auth-source cl-seq eieio eieio-core
> url-vars mail-extr message sendmail mailcap yank-media puny dired
> dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
> epg-config gnus-util text-property-search time-date mm-decode mm-bodies
> mm-encode mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
> mail-prsvr mailabbrev mail-utils gmm-utils mailheader clang-rename
> clang-include-fixer let-alist json subr-x map byte-opt bytecomp
> byte-compile clang-format cl-macs gv xml cl-loaddefs cl-lib rmc
> iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
> vc-hooks lisp-float-type elisp-mode mwheel term/pgtk-win pgtk-win
> term/common-win pgtk-dnd tool-bar dnd fontset image regexp-opt fringe
> tabulated-list replace newcomment text-mode lisp-mode prog-mode register
> page tab-bar menu-bar rfn-eshadow isearch easymenu timer select
> scroll-bar mouse jit-lock font-lock syntax font-core term/tty-colors
> frame minibuffer nadvice seq simple cl-generic indonesian philippine
> cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
> korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
> european ethiopic indian cyrillic chinese composite emoji-zwj charscript
> charprop case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
> cl-preloaded button loaddefs theme-loaddefs faces cus-face macroexp
> files window text-properties overlay sha1 md5 base64 format env
> code-pages mule custom widget keymap hashtable-print-readable backquote
> threads xwidget-internal dbusbind inotify dynamic-setting
> system-font-setting font-render-setting cairo gtk pgtk multi-tty
> make-network-process native-compile emacs)
> 
> Memory information:
> ((conses 16 96060 9792)
>   (symbols 48 7993 0)
>   (strings 32 23040 2318)
>   (string-bytes 1 697119)
>   (vectors 16 18706)
>   (vector-slots 8 376260 22697)
>   (floats 8 169 21)
>   (intervals 56 374 0)
>   (buffers 984 13))
> 
> 
> On 17.2.2025 22.59, mjk wrote:
> > Hello,
> >
> > I had irritating mouse problems originally in lsp/dap mode.
> > The mouse caused many-many beeps due to mouse move errors.
> >
> > This is probably combination of problems in the basic thing and the lsp
> > gui packages together.
> >
> > I was able to pinpoint one factor of this problem into configuration
> > where I had removed my .emacs and .emacs.d, so that I was in a pretty 
> > clean
> > configuration.
> >
> > In this state I get spurious errors like:
> >
> > <tool-bar> <wheel-up> is undefined
> > <tool-bar> <wheel-down> is undefined
> > <tool-bar> <double-wheel-down> is undefined
> >
> > when I rotate the mouse wheel in the window area (pretty much any, like
> > *scratch*). Note, in the text window, not in the tool bar.
> >
> > This happens only in a limited area at the top of the window. Not at the
> > very top of the window, but somewhat below. The dimensions of these areas
> > are as if the program was thinking that the menubar and the toolbar were
> > in the text window (like it was dispatching events from
> > coordinates where the origin is in the upper corner of the text window
> > rather than in the top of the whole window of the application.
> > So there is a narrow strip having same height as the menu-bar which is
> > not giving these events, then an area with same height as the tool-bar
> > which gives them, and then below it works normally again.
> >
> > Then when other gui packages are on, I start to get also other similar
> > errors, probably depending on what events have been enabled and what
> > handlers have been installed. Mouse move events are naturally the most
> > irritating ones. Luckily emacs can be used pretty well with keyboard 
> > only.
> >
> > t. mjk
> >
> 
> 
> 
> 
>